package com.example.takeawaysystemserver.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Ethereal
 * @date 2024/7/12
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddressDTO {

    /**
     * 收货人
     */
    private String consignee;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 省份
     */
    private String province;

    /**
     * 市级名
     */
    private String city;

    /**
     * 区级名
     */
    private String district;

    /**
     * 详细地址
     */
    private String detail;

    /**
     * 默认（0否 1是）
     */
    private Integer isDefault;
}
